var dataList = [10, 30, 5, 60, 40, 78, 56, 30, 24, 80];
var svgWidth = 640;	// SVG領域の横幅
var svgHeight = 480;	// SVG領域の縦幅
var barScale = 2;	// 2倍サイズで描画
var yBarSize = 18;	// 棒グラフの縦幅
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight)
// 目盛りを表示するためにスケールを設定
var xScale = d3.scale.linear()	// スケールを設定
		.domain([0, 100])	// 元のサイズ
		.range([0, 100*barScale]);	// 実際の出力サイズ
// 目盛りを設定し表示する
svg.append("g")
	.attr("class", "axis")
	.attr("transform", "translate(8, "+dataList.length*yBarSize+")")
	.call(d3.svg.axis()
		.scale(xScale)	//スケールを適用する
		.orient("bottom")	//目盛りの表示位置を下側に指定
	);
svg.selectAll("rect")	// SVGでの四角形を示す要素を指定
	.data(dataList)	// データを設定
	.enter()
	.append("rect")	// SVGでの四角形を示す要素を生成
	.attr("x", 0)	// 横棒グラフなのでX座標は0。これはSVG上での座標
	.attr("y", function(d,i){	// Y座標を配列の順序に応じて計算
		return i * yBarSize;
	})
	.attr("width", function(d){	// 横幅を配列の内容に応じて計算
		return (d*barScale) +"px";
	})
	.attr("height", "16")	// 棒グラフの高さを指定
	.attr("style", "fill:rgb(255,0,0)")	// 棒グラフの色を赤色に設定
	.attr("transform", "translate(8, 0)")
// ボタンにイベントを割り当て
document.getElementById("add").onclick = function(){
	for(var i=0; i<dataList.length; i++){
		dataList[i] = Math.floor(Math.random() * 90) + 10;
	}
	// データを更新する処理
	svg.selectAll("rect")	// SVGでの四角形を示す要素を指定
		.data(dataList)	// データを設定
		.transition()
		.attr("width", function(d){	// 横幅を配列の内容に応じて計算
			return (d*barScale) +"px";
		})
}